<?php

namespace App\Enums;

use App\Traits\WithCommentEnum;
use App\Traits\WithValueEnum;

enum Concentration: int
{
    use WithCommentEnum, WithValueEnum;

    case EXTRAIT_DE_PERFUME = 1;
    case EAU_DE_PERFUME = 2;
    case EAU_DE_COLOGNE = 3;
    case EAU_DE_TOILETTE = 4;

    public function label()
    {
        return match ($this) {
            self::EXTRAIT_DE_PERFUME => 'Extrait de Parfum',
            self::EAU_DE_PERFUME => 'Eau de Parfum',
            self::EAU_DE_COLOGNE => 'Eau de Cologne',
            self::EAU_DE_TOILETTE => 'Eau de Toilette',
        };
    }

    public function color()
    {
        return match ($this) {
            self::EXTRAIT_DE_PERFUME => 'emerald',
            self::EAU_DE_PERFUME => 'rose',
            self::EAU_DE_COLOGNE => 'cyan',
            self::EAU_DE_TOILETTE => 'indigo',
        };
    }
}
